from setuptools import setup, find_packages

setup(
    name='fedn',
    version='0.1.5',
    description="""Scaleout Federated Learning""",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    author='Morgan Ekmefjord',
    author_email='morgan@scaleout.se',
    url='https://www.scaleoutsystems.com',
    include_package_data=True,
    py_modules=['fedn'],
    python_requires='>=3.6,<4',
    install_requires=[
        "attrdict",
        "certifi",
        "chardet",
        "PyYAML",
        "requests==2.25.0",
        "urllib3",
        "minio==6.0.0",
        "six",
        "python-slugify==4.0.1",
        "prettytable==1.0.1",
        "grpcio-tools>=1.34.0",
        "grpcio>=1.34.0",
        "protobuf",
        "pypandoc==1.5",
        "wheel",
        "pymongo===3.11.0",
        "Flask==1.1.2",
        "Flask-WTF==0.14.3",
        "pyopenssl",
        "plotly",
        "ttictoc",
        "flask_profiler",
        "psutil",
        "click",
        "jinja2==2.11.1",
        "nltk",
        "geoip2",
        "deprecated"

    ],
    license="Copyright Scaleout Systems AB. See license for details",
    zip_safe=False,
    entry_points={
        'console_scripts': ["fedn=cli:main"]
    },
    keywords='Federated learning',
    packages=find_packages(exclude=["tests", "tests.*"]),
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
)
